FROM docker.io/python:3.7-stretch
LABEL maintainer="dan.leehr@duke.edu"

# Install common python application dependencies
RUN apt-get update && apt-get install -y \
    vim \
		gcc \
		gettext \
		postgresql-client libpq-dev \
		sqlite3 \
		python3-psycopg2 \
	--no-install-recommends && rm -rf /var/lib/apt/lists/*

# Create a directory that will be owned by the default user
RUN mkdir -p /app
WORKDIR /app

# Create a default user in the root group for openshift compatibility
ENV HOME=/home/python
# home dir is created by useradd with group (g=0) to comply with
# https://docs.openshift.com/container-platform/3.11/creating_images/guidelines.html#openshift-specific-guidelines
RUN useradd -u 1001 -r -g 0 -m -d ${HOME} -s /sbin/nologin \
      -c "Python User" python && \
  chown -R 1001:0 /app && \
  chmod g+rwx ${HOME}

USER python
